## thumbor 6.3.2

=== Makefile ===
OS := $(shell uname)

run: compile_ext
	@thumbor -l debug -d

setup:
    ifeq ($(OS), xx)
	    @$(MAKE) setup_mac
    else
	    @echo
	    @echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
	    @echo ">>> MAKE SURE SYSTEM DEPENDENCIES IS INSTALLED IF RUNNING TESTS <<<<<<<<<<<<<<<"
	    @echo ">>> imagemagick webp opencv coreutils gifsicle libvpx exiftool cairo ffmpeg <<<"
	    @echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
	    @echo
    endif
	@pip install -e .[tests]


setup_mac:
	@brew tap homebrew/science
	@brew update
	@brew install imagemagick webp opencv coreutils gifsicle libvpx exiftool cairo
	@brew install ffmpeg --with-libvpx
	@opencv_path=`realpath $$(dirname $$(brew --prefix opencv))/$$(readlink $$(brew --prefix opencv))`; \
		echo 'Enter in your site-packages directory and run the following lines:';\
		echo "ln -s $$opencv_path/lib/python2.7/site-packages/cv.py ./";\
		echo "ln -s $$opencv_path/lib/python2.7/site-packages/cv2.so ./"

compile_ext:
	@python setup.py build_ext -i

test: compile_ext redis
	@$(MAKE) unit coverage
	@$(MAKE) integration_run
	@$(MAKE) static
	@$(MAKE) kill_redis

ci_test: compile_ext
	@echo "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
	@echo "TORNADO IS `python -c 'import tornado; import inspect; print(inspect.getfile(tornado))'`"
	@echo "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
	@if [ -z "$$INTEGRATION_TEST" ]; then $(MAKE) unit static coverage; else $(MAKE) integration_run; fi

integration_run:
	@nosetests -sv integration_tests/

coverage:
	@coverage report -m --fail-under=10

unit:
	@coverage run --branch `which nosetests` -v --with-yanc -s tests/

unit-parallel:
	@`which nosetests` -v --with-yanc --processes=4 -s tests/

focus:
	@coverage run --branch `which nosetests` -vv --with-yanc --logging-level=WARNING --with-focus -i -s tests/


mysql_test: pretest
	PYTHONPATH=.:$$PYTHONPATH nosetests -v -s --with-coverage --cover-erase --cover-package=thumbor tests/test_mysql_storage.py

kill_redis:
	@-redis-cli -p 6668 -a hey_you shutdown

redis: kill_redis
	@redis-server redis.conf ; sleep 1
	@redis-cli -p 6668 -a hey_you info

flake:
	@flake8 . --ignore=W801,E501

setup_docs:
	pip install -r docs/requirements.txt

build_docs:
	cd docs && make html

docs: setup_docs build_docs
	python -mwebbrowser file:///`pwd`/docs/_build/html/index.html

static:
	@flake8 --config=./flake8 .

sample_images:
	convert -delay 100 -size 100x100 gradient:blue gradient:red -loop 0 integration_tests/imgs/animated.gif
	convert -size 100x100 gradient:blue integration_tests/imgs/gradient.jpg
	convert -size 100x100 gradient:blue integration_tests/imgs/gradient.gif
	convert -size 100x100 gradient:blue integration_tests/imgs/gradient.webp
	convert -size 100x100 gradient:gray -colorspace gray integration_tests/imgs/grayscale.jpg
	convert -size 100x100 gradient:blue -depth 16 integration_tests/imgs/16bit.png
	convert -size 100x100 gradient:blue -colorspace CMYK integration_tests/imgs/cmyk.jpg
	convert -size 100x100 xc:none -fill gradient:blue -draw "circle 50,50 50,1" -depth 8 integration_tests/imgs/rgba.png
	convert -size 100x100 xc:none -fill gradient:blue -draw "circle 50,50 50,1" -interlace PNG -depth 8 integration_tests/imgs/rgba-interlaced.png
	convert -size 16383x16383 canvas:blue tests/fixtures/images/16383x16383.png
	convert -size 16384x16384 canvas:blue tests/fixtures/images/16384x16384.png
	convert -size 9643x10328 canvas:blue tests/fixtures/images/9643x10328.jpg
	convert -size 1x1 canvas:white png24:tests/fixtures/images/1x1.png
	cp integration_tests/imgs/animated.gif tests/fixtures/images/animated.gif
	convert -size 20x20 gradient:blue tests/fixtures/images/20x20.jpg
	echo "" > tests/fixtures/images/image_invalid.jpg
	convert -size 300x400 gradient:blue tests/fixtures/images/image.jpg
	convert -delay 100 -size 100x100 gradient:blue tests/fixtures/images/animated-one-frame.gif
	cp integration_tests/imgs/grayscale.jpg tests/fixtures/images/grayscale.jpg
	cp integration_tests/imgs/cmyk.jpg tests/fixtures/images/cmyk.jpg
	convert -size 100x100 gradient:blue -depth 8 tests/fixtures/images/gradient_8bit.tif
	convert -size 100x100 gradient:blue tests/fixtures/images/gradient_lsb_16bperchannel.tif
	convert -size 100x100 gradient:blue -define tiff:endian=msb tests/fixtures/images/gradient_msb_16bperchannel.tif
	curl -s https://upload.wikimedia.org/wikipedia/en/4/4a/Commons-logo.svg -o tests/fixtures/images/Commons-logo.svg
	sed 's/width="1024" height="1376"/width="10in" height="13in"/g' tests/fixtures/images/Commons-logo.svg > tests/fixtures/images/Commons-logo-inches.svg
	curl -s https://upload.wikimedia.org/wikipedia/commons/3/3e/10_years_of_Wikipedia_by_Guillaume_Paumier.jpg -o tests/fixtures/images/10_years_of_Wikipedia_by_Guillaume_Paumier.jpg
	convert tests/fixtures/images/10_years_of_Wikipedia_by_Guillaume_Paumier.jpg -orient LeftBottom tests/fixtures/images/10_years_of_Wikipedia_by_Guillaume_Paumier.jpg
	curl -s https://upload.wikimedia.org/wikipedia/commons/6/6d/Christophe_Henner_-_June_2016.jpg -o tests/fixtures/images/Christophe_Henner_-_June_2016.jpg
	curl -s https://upload.wikimedia.org/wikipedia/commons/3/31/Giunchedi%2C_Filippo_January_2015_01.jpg -o tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01.jpg
	convert tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01.jpg -colorspace CMYK tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01-cmyk.jpg
	convert tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01.jpg tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01.png
	convert tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01.jpg -colorspace gray tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01-grayscale.jpg
	convert tests/fixtures/images/image.jpg -define jpeg:q-table=tests/fixtures/images/qtables.xml tests/fixtures/images/invalid_quantization.jpg
	convert tests/fixtures/images/image.jpg tests/fixtures/images/image.webp
	convert logo: tests/fixtures/images/no_face.jpg
	cp tests/fixtures/images/image.jpg tests/fixtures/images/image.jpg%3Fts%3D1
	cp tests/fixtures/images/image.jpg tests/fixtures/images/image
	cp tests/fixtures/images/image.jpg tests/fixtures/images/image.jpg%23something
	cp tests/fixtures/images/image.jpg tests/fixtures/images/image%20space.jpg
	cp tests/fixtures/images/image.jpg tests/fixtures/images/15967251_212831_19242645_%D0%90%D0%B3%D0%B0%D1%82%D0%B0%D0%B2%D0%97%D0%BE%D0%BE%D0%BF%D0%B0%D1%80%D0%BA%D0%B5.jpg
	cp tests/fixtures/images/image.jpg tests/fixtures/images/15967251_212831_19242645_АгатавЗоопарке.jpg
	cp tests/fixtures/images/image.jpg tests/fixtures/images/maracujá.jpg
	cp tests/fixtures/images/image.jpg tests/fixtures/images/alabama1_ap620%C3%A9.jpg
	cp tests/fixtures/images/image.jpg tests/fixtures/images/alabama1_ap620é.jpg
	cp tests/fixtures/images/image.jpg tests/fixtures/result_storages/v2/im/ag/image.jpg
	curl -s https://upload.wikimedia.org/wikipedia/commons/thumb/2/25/Katherine_Maher.jpg/800px-Katherine_Maher.jpg -o tests/fixtures/filters/source.jpg
	convert tests/fixtures/filters/source.jpg -quality 10 tests/fixtures/filters/quality-10%.jpg
	convert tests/fixtures/filters/source.jpg -rotate 180 tests/fixtures/filters/rotate.jpg
	convert tests/fixtures/filters/source.jpg -blur 4x2 tests/fixtures/filters/blur.jpg
	convert tests/fixtures/filters/source.jpg -blur 8x8 tests/fixtures/filters/blur2.jpg
	convert tests/fixtures/filters/source.jpg -blur 150x150 tests/fixtures/filters/blur3.jpg
	convert tests/fixtures/filters/source.jpg -brightness-contrast 20x0 tests/fixtures/filters/brightness.jpg
	convert tests/fixtures/filters/source.jpg -brightness-contrast 0x20 tests/fixtures/filters/contrast.jpg
	convert tests/fixtures/filters/source.jpg -gamma 1.1,1.02,1.04 tests/fixtures/filters/rgb.jpg
	curl -s https://upload.wikimedia.org/wikipedia/commons/8/81/Wikimedia-logo.svg -o tests/fixtures/filters/watermark.svg
	convert tests/fixtures/filters/watermark.svg -transparent white -resize 30x30 tests/fixtures/filters/watermark.png
	curl -s https://upload.wikimedia.org/wikipedia/commons/thumb/d/da/Guido-portrait-2014.jpg/800px-Guido-portrait-2014.jpg -o tests/fixtures/filters/800px-Guido-portrait-2014.jpg
	curl -s https://upload.wikimedia.org/wikipedia/commons/thumb/6/6d/Christophe_Henner_-_June_2016.jpg/800px-Christophe_Henner_-_June_2016.jpg -o tests/fixtures/filters/800px-Christophe_Henner_-_June_2016.jpg
	curl -s https://upload.wikimedia.org/wikipedia/commons/thumb/7/79/Coffee_berries_1.jpg/800px-Coffee_berries_1.jpg -o tests/fixtures/filters/800px-Coffee_berries_1.jpg
	curl -s https://upload.wikimedia.org/wikipedia/commons/thumb/4/45/A_small_cup_of_coffee.JPG/800px-A_small_cup_of_coffee.JPG -o tests/fixtures/filters/800px-A_small_cup_of_coffee.JPG
	curl -s https://upload.wikimedia.org/wikipedia/commons/thumb/c/cf/Coffee_beans_-_ziarna_kawy.jpg/513px-Coffee_beans_-_ziarna_kawy.jpg -o tests/fixtures/filters/513px-Coffee_beans_-_ziarna_kawy.jpg
	curl -s https://upload.wikimedia.org/wikipedia/commons/archive/4/47/20161122122708%21PNG_transparency_demonstration_1.png | convert - -resize 300x225 tests/fixtures/filters/PNG_transparency_demonstration_1.png
	convert tests/fixtures/filters/PNG_transparency_demonstration_1.png -background blue -flatten tests/fixtures/filters/PNG_transparency_demonstration_1_blue.png
	cp tests/fixtures/filters/source.jpg tests/fixtures/filters/800px-Katherine_Maher.jpg
	cp tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01.jpg tests/fixtures/filters/Giunchedi%2C_Filippo_January_2015_01.jpg
	# the watermark filter's logic is too complicated to reproduce with IM, the watermark test images can't be generated here
	# similarly, the noise, colorize and fill filters generate output too unique to be reproduce with IM and can't be generated here

=== debian/changelog ===
thumbor (6.3.2-3) unstable; urgency=medium

  * debian/copyright: Added complete text of CC licenses

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 25 Nov 2017 16:26:52 -0200

thumbor (6.3.2-2) unstable; urgency=medium

  * Fixed some thumbor tests (Patch already applied by upstream)
  * debian/copyright: Added missing licenses
  * Lintian fixes:
    - build-depends: dh-systemd (>= 1.5) => use debhelper (>= 9.20160709)

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 23 Nov 2017 23:21:56 -0200

thumbor (6.3.2-1) unstable; urgency=low

  [ Gilles Dubuc ]

  * Initial release. (Closes: #723778)

  [ Marcelo Jorge Vieira ]

  * Add myself as uploader
  * Bump Standards-Version to 4.0.0
  * Added python-pycurl as build-depends
  * Added debian/README.Debian

 -- Marcelo Jorge Vieira <metal@debian.org>  Fri, 08 Sep 2017 19:39:51 -0300

=== debian/control ===
Source: thumbor
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>,
 Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Standards-Version: 4.0.0
Build-Depends: debhelper (>= 9.20160709),
               dh-python,
               ffmpeg,
               gifsicle,
               libimage-exiftool-perl,
               libjpeg-turbo-progs,
               python-all,
               python-argparse,
               python-cairosvg,
               python-celery,
               python-colorama,
               python-concurrent.futures,
               python-crypto (>= 2.1.0),
               python-pycurl,
               python-dev,
               python-derpconf (>= 0.2.0),
               python-libthumbor,
               python-mock (>=1.0.1),
               python-nose,
               python-numpy,
               python-opencv,
               python-pexif (>=0.15),
               python-pil (>= 3.0.0),
               python-preggy (>= 1.3.0),
               python-pyexiv2,
               python-pyssim,
               python-redis (>= 2.4.9),
               python-schedule,
               python-setuptools,
               python-statsd (>= 3.0.1),
               python-tornado (>= 4.1.0),
               python-tz,
               python-webcolors,
               redis-server,
X-Python-Version: >= 2.7
Homepage: https://github.com/thumbor/thumbor
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/thumbor.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/thumbor.git

Package: thumbor
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-argparse, python-cairosvg, python-crypto (>= 2.1.0), python-derpconf (>= 0.2.0), python-concurrent.futures, python-libthumbor, python-pexif (>= 0.15), python-pil (>= 3.0.0), python-schedule, python-statsd (>= 3.0.1), python-tornado (>= 4.1.0), python-tz, python-webcolors
Description: Photo thumbnail service
 Thumbor is a smart imaging service. It enables on-demand crop, resizing
 and flipping of images.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/thumbor/thumbor-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## thumbor 6.5.1

=== Makefile ===
--- 
+++ 
@@ -5,17 +5,19 @@
 
 setup:
     ifeq ($(OS), xx)
-	    @$(MAKE) setup_mac
+	@$(MAKE) setup_mac
     else
-	    @echo
-	    @echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
-	    @echo ">>> MAKE SURE SYSTEM DEPENDENCIES IS INSTALLED IF RUNNING TESTS <<<<<<<<<<<<<<<"
-	    @echo ">>> imagemagick webp opencv coreutils gifsicle libvpx exiftool cairo ffmpeg <<<"
-	    @echo ">>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<"
-	    @echo
+	@$(MAKE) setup_ubuntu
     endif
+	@$(MAKE) setup_python
+
+setup_ubuntu:
+	@sudo apt-get install -y imagemagick webp coreutils gifsicle libvpx4 \
+                             libvpx-dev libimage-exiftool-perl libcairo2-dev \
+                             ffmpeg libcurl4-openssl-dev libffi-dev \
+                             python-dev python3-dev
+setup_python:
 	@pip install -e .[tests]
-
 
 setup_mac:
 	@brew tap homebrew/science
@@ -33,14 +35,14 @@
 test: compile_ext redis
 	@$(MAKE) unit coverage
 	@$(MAKE) integration_run
-	@$(MAKE) static
+	@$(MAKE) flake
 	@$(MAKE) kill_redis
 
 ci_test: compile_ext
 	@echo "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
 	@echo "TORNADO IS `python -c 'import tornado; import inspect; print(inspect.getfile(tornado))'`"
 	@echo "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
-	@if [ -z "$$INTEGRATION_TEST" ]; then $(MAKE) unit static coverage; else $(MAKE) integration_run; fi
+	@if [ "$$LINT_TEST" ]; then $(MAKE) flake; elif [ -z "$$INTEGRATION_TEST" ]; then $(MAKE) unit coverage; else $(MAKE) integration_run; fi
 
 integration_run:
 	@nosetests -sv integration_tests/
@@ -79,9 +81,6 @@
 
 docs: setup_docs build_docs
 	python -mwebbrowser file:///`pwd`/docs/_build/html/index.html
-
-static:
-	@flake8 --config=./flake8 .
 
 sample_images:
 	convert -delay 100 -size 100x100 gradient:blue gradient:red -loop 0 integration_tests/imgs/animated.gif
@@ -147,7 +146,9 @@
 	curl -s https://upload.wikimedia.org/wikipedia/commons/thumb/c/cf/Coffee_beans_-_ziarna_kawy.jpg/513px-Coffee_beans_-_ziarna_kawy.jpg -o tests/fixtures/filters/513px-Coffee_beans_-_ziarna_kawy.jpg
 	curl -s https://upload.wikimedia.org/wikipedia/commons/archive/4/47/20161122122708%21PNG_transparency_demonstration_1.png | convert - -resize 300x225 tests/fixtures/filters/PNG_transparency_demonstration_1.png
 	convert tests/fixtures/filters/PNG_transparency_demonstration_1.png -background blue -flatten tests/fixtures/filters/PNG_transparency_demonstration_1_blue.png
+	convert tests/fixtures/filters/PNG_transparency_demonstration_1.png -dither None -colors 256 tests/fixtures/images/paletted-transparent.png
 	cp tests/fixtures/filters/source.jpg tests/fixtures/filters/800px-Katherine_Maher.jpg
 	cp tests/fixtures/images/Giunchedi%2C_Filippo_January_2015_01.jpg tests/fixtures/filters/Giunchedi%2C_Filippo_January_2015_01.jpg
+	cp tests/fixtures/filters/watermark.png tests/fixtures/images/watermark.png
 	# the watermark filter's logic is too complicated to reproduce with IM, the watermark test images can't be generated here
-	# similarly, the noise, colorize and fill filters generate output too unique to be reproduce with IM and can't be generated here
+	# similarly, the noise, colorize, redeye and fill filters generate output too unique to be reproduce with IM and can't be generated here

=== debian/changelog ===
thumbor (6.5.1-7) unstable; urgency=high

  * d/control: Fixed build-deps

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 23 Feb 2019 11:30:36 -0300

thumbor (6.5.1-6) unstable; urgency=high

  * Really fixed PyCryptodome dependency (Thanks Florian REY)

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 16 Feb 2019 00:49:44 -0200

thumbor (6.5.1-5) unstable; urgency=high

  * Fixed missing PyCryptodome dependency (Closes: #918785)

 -- Marcelo Jorge Vieira <metal@debian.org>  Wed, 13 Feb 2019 23:58:59 -0200

thumbor (6.5.1-4) unstable; urgency=high

  * dependency python-imaging is does-not-exist (Closes: #891612)
  * test failure in test_redeye_applied (numpy >= 1.16.0) (Closes: #918395)

 -- Marcelo Jorge Vieira <metal@debian.org>  Wed, 13 Feb 2019 00:14:29 -0200

thumbor (6.5.1-3) unstable; urgency=medium

  * d/control: Wrap and sort
  * d/control: Fixed piexif dependency

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 16 Dec 2018 17:38:06 -0200

thumbor (6.5.1-2) unstable; urgency=high

  * Fixed i386 build

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 09 Dec 2018 12:18:30 -0200

thumbor (6.5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]

  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field

  [ Marcelo Jorge Vieira ]

  * New Upstream release (Closes: #891612)
  * d/watch: Changed repository from pypi to github
  * Removed patches applied by upstream
    * fix_convert_tif_to_png.patch
    * fixed_reorientate_tests_for_big_endian_machines.patch
  * Replaced 'python-pexif' with 'python-piexif'

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 06 Dec 2018 22:09:22 -0200

thumbor (6.3.2-4) unstable; urgency=medium

  * Fixed reorientate tests for big endian machines (Closes: #883038)

 -- Marcelo Jorge Vieira <metal@debian.org>  Mon, 18 Dec 2017 23:06:34 -0200

=== debian/control ===
Source: thumbor
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>,
           Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Standards-Version: 4.0.0
Build-Depends: debhelper (>= 9.20160709),
               dh-python,
               ffmpeg,
               gifsicle,
               libimage-exiftool-perl,
               libjpeg-turbo-progs,
               python-all,
               python-argparse,
               python-cairosvg,
               python-celery,
               python-colorama,
               python-concurrent.futures,
               python-crypto (>= 2.1.0),
               python-derpconf (>= 0.2.0),
               python-dev,
               python-libthumbor,
               python-mock (>=1.0.1),
               python-nose,
               python-numpy,
               python-opencv,
               python-piexif (>=1.0.13),
               python-pil (>= 3.0.0),
               python-preggy (>= 1.3.0),
               python-pycryptodome (>= 3.4.7),
               python-pycurl,
               python-pyexiv2,
               python-pyssim,
               python-redis (>= 2.4.9),
               python-schedule,
               python-setuptools,
               python-statsd (>= 3.0.1),
               python-tornado (>= 4.1.0),
               python-tz,
               python-webcolors,
               redis-server
Homepage: https://github.com/thumbor/thumbor
Vcs-Git: https://salsa.debian.org/python-team/modules/thumbor.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/thumbor

Package: thumbor
Architecture: any
Depends: python-argparse,
         python-cairosvg,
         python-concurrent.futures,
         python-crypto (>= 2.1.0),
         python-derpconf (>= 0.2.0),
         python-libthumbor,
         python-piexif (>= 1.0.13),
         python-pil (>= 3.0.0),
         python-pycryptodome (>= 3.4.7),
         python-schedule,
         python-statsd (>= 3.0.1),
         python-tornado (>= 4.1.0),
         python-tz,
         python-webcolors,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Photo thumbnail service
 Thumbor is a smart imaging service. It enables on-demand crop, resizing
 and flipping of images.

## thumbor 6.7.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	@thumbor -l debug -d
 
 setup:
-    ifeq ($(OS), xx)
+    ifeq ($(OS), Darwin)
 	@$(MAKE) setup_mac
     else
 	@$(MAKE) setup_ubuntu
@@ -12,7 +12,7 @@
 	@$(MAKE) setup_python
 
 setup_ubuntu:
-	@sudo apt-get install -y imagemagick webp coreutils gifsicle libvpx4 \
+	@sudo apt-get install -y imagemagick webp coreutils gifsicle libvpx? \
                              libvpx-dev libimage-exiftool-perl libcairo2-dev \
                              ffmpeg libcurl4-openssl-dev libffi-dev \
                              python-dev python3-dev
@@ -20,7 +20,7 @@
 	@pip install -e .[tests]
 
 setup_mac:
-	@brew tap homebrew/science
+	@brew tap brewsci/science
 	@brew update
 	@brew install imagemagick webp opencv coreutils gifsicle libvpx exiftool cairo
 	@brew install ffmpeg --with-libvpx
@@ -71,7 +71,7 @@
 	@redis-cli -p 6668 -a hey_you info
 
 flake:
-	@flake8 . --ignore=W801,E501
+	@flake8 . --ignore=W801,E501,W605,W504,W606
 
 setup_docs:
 	pip install -r docs/requirements.txt

=== debian/changelog ===
thumbor (6.7.0-1) unstable; urgency=medium

  * New upstream version 6.7.0
  * Remove patches applied upstream:
    * fix_pycryptodomex_dependency.diff
    * longs_are_not_supported_for_this_option.diff

 -- Marcelo Jorge Vieira <metal@debian.org>  Wed, 07 Aug 2019 22:40:35 -0300

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=thumbor
export PYBUILD_TEST_NOSE=1
export PYBUILD_BEFORE_TEST=cp -R tests integration_tests {build_dir}; redis-server --port 6668 --requirepass hey_you > /dev/null &
export PYBUILD_AFTER_TEST=redis-cli -p 6668 -a hey_you shutdown; rm -rf {build_dir}/tests {build_dir}/integration_tests
export PYBUILD_TEST_ARGS=-s integration_tests/ tests/ --ignore-files=test_statsd_metrics.py --ignore-files=test_sentry.py --ignore-files=test_queued_detector.py --ignore-files=test_distributed_collage.py --exclude=test_convert_svg_already_converted_to_png --exclude=test_convert_not_well_formed_svg_to_png
export PYBUILD_AFTER_INSTALL=mkdir -p {destdir}/etc/thumbor.d; HOME=/var/lib/thumbor PYTHONPATH={destdir}/usr/lib/python{version}/dist-packages/ python{version} {destdir}/usr/bin/thumbor-config > {destdir}/etc/thumbor.d/10-default.conf; find {destdir}/usr/lib/python{version}/dist-packages/ -name '*.c' -delete
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,systemd --buildsystem=pybuild

override_dh_clean:
	rm -rf thumbor.egg-info
	redis-cli -p 6668 -a hey_you shutdown || true
	dh_clean

override_dh_installinit:
	dh_installinit --name=thumbor --noscripts
